#
# spec file for package plasma5-workspace
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#Compat macro for new _fillupdir macro introduced in Nov 2017
%{!?_fillupdir: %global _fillupdir %{_localstatedir}/adm/fillup-templates}

%define kf5_version 5.34.0

%bcond_without lang
Name:           plasma5-workspace
# Full Plasma 5 version (e.g. 5.9.1)
%{!?_plasma5_bugfix: %define _plasma5_bugfix %{version}}
# Latest ABI-stable Plasma (e.g. 5.8 in KF5, but 5.9.1 in KUF)
%{!?_plasma5_version: %define _plasma5_version %(echo %{_plasma5_bugfix} | awk -F. '{print $1"."$2}')}
Version:        5.12.8
Release:        lp151.3.4.1
Summary:        The KDE Plasma Workspace Components
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         https://download.kde.org/stable/plasma/%{version}/plasma-workspace-%{version}.tar.xz
Source1:        baselibs.conf
# PATCHES 000-100 and above are from upstream 5.12 branch
# PATCHES 101-500 are from upstream master/5.13 branch
Patch201:       0001-Call-KLocalizedString-setApplicationDomain-after-Q-A.patch
Patch202:       0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch
Patch203:       0003-No-longer-export-QT_QPA_PLATFORM-env-variable-to-the.patch
Patch204:       0001-Add-a-button-to-clear-the-notification-history.patch
Patch205:       0001-Notification-dataengine-debug-category.patch
Patch206:       0001-Drop-X11-core-fonts-code-from-startkde-startplasma.patch
Patch207:       0002-X11-set-GDK_SCALE-try-2.patch
Patch208:       Calculate-first-clickable-point-from-the-top-left.patch
# PATCHES 501-??? are PATCH-FIX-OPENSUSE
# PATCH-FIX-OPENSUSE 0001-Rename-qdbus-in-startkde.patch cgiboudeaux@gmx.com -- Rename the qdbus executable in startkde
Patch501:       0001-Rename-qdbus-in-startkde.patch
# PATCH-FIX-OPENSUSE 0001-Ignore-default-sddm-face-icons.patch boo#1001364 fabian@ritter-vogt.de -- Ignore default sddm face icons
Patch502:       0001-Ignore-default-sddm-face-icons.patch
Patch503:       0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
# PATCH-FIX-UPSTREAM (once sddm part merged)
Patch504:       0001-Add-suffix-to-the-wayland-session-s-name.patch
# PATCH-FIX-UPSTREAM (or alternative solution)
Patch505:       0001-Set-XDG_SESSION_TYPE-wayland-in-startplasmacomposito.patch
# PATCH-FIX-OPENSUSE
Patch506:       lazy-sddm-theme.patch
BuildRequires:  breeze5-icons
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  phonon4qt5-devel >= 4.6.60
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  cmake(AppStreamQt) >= 0.10.4
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5Baloo)
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Crash) >= %{kf5_version}
BuildRequires:  cmake(KF5DBusAddons) >= %{kf5_version}
BuildRequires:  cmake(KF5Declarative) >= %{kf5_version}
BuildRequires:  cmake(KF5DocTools) >= %{kf5_version}
BuildRequires:  cmake(KF5GlobalAccel) >= %{kf5_version}
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5IdleTime) >= %{kf5_version}
BuildRequires:  cmake(KF5JsEmbed) >= %{kf5_version}
BuildRequires:  cmake(KF5KCMUtils) >= %{kf5_version}
BuildRequires:  cmake(KF5KDELibs4Support) >= %{kf5_version}
BuildRequires:  cmake(KF5NetworkManagerQt) >= %{kf5_version}
BuildRequires:  cmake(KF5NewStuff) >= %{kf5_version}
BuildRequires:  cmake(KF5NotifyConfig) >= %{kf5_version}
BuildRequires:  cmake(KF5Package) >= %{kf5_version}
BuildRequires:  cmake(KF5Plasma) >= %{kf5_version}
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5Prison) >= %{kf5_version}
BuildRequires:  cmake(KF5Runner) >= %{kf5_version}
BuildRequires:  cmake(KF5Screen) >= 5.0.93
BuildRequires:  cmake(KF5Solid) >= %{kf5_version}
BuildRequires:  cmake(KF5Su) >= %{kf5_version}
BuildRequires:  cmake(KF5SysGuard) >= %{_plasma5_version}
BuildRequires:  cmake(KF5TextEditor)
BuildRequires:  cmake(KF5TextWidgets) >= %{kf5_version}
BuildRequires:  cmake(KF5Wallet) >= %{kf5_version}
BuildRequires:  cmake(KF5Wayland) >= %{kf5_version}
BuildRequires:  cmake(KF5XmlRpcClient)
BuildRequires:  cmake(KScreenLocker) >= %{_plasma5_version}
#!BuildIgnore:  kdialog
BuildRequires:  cmake(KWinDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(Qt5Concurrent) >= 5.4.0
BuildRequires:  cmake(Qt5DBus) >= 5.4.0
BuildRequires:  cmake(Qt5Network) >= 5.4.0
BuildRequires:  cmake(Qt5Qml) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  cmake(Qt5QuickWidgets) >= 5.4.0
BuildRequires:  cmake(Qt5Script) >= 5.4.0
BuildRequires:  cmake(Qt5Sql) >= 5.4.0
BuildRequires:  cmake(Qt5Test) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5X11Extras) >= 5.4.0
BuildRequires:  cmake(ScreenSaverDBusInterface) >= %{_plasma5_version}
BuildRequires:  cmake(dbusmenu-qt5)
BuildRequires:  pkgconfig(libgps)
BuildRequires:  pkgconfig(libqalculate)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-shm)
BuildRequires:  pkgconfig(xcb-util)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-libs = %{version}-%{release}
# contains default style, cursors, etc
Requires:       breeze >= %{_plasma5_version}
# battery applet
Requires:       drkonqi5 >= %{_plasma5_version}
# dialog/platformtheme/etc
Requires:       frameworkintegration-plugin
Requires:       kactivitymanagerd
# used within startup
Requires:       kde-cli-tools5 >= %{_plasma5_version}
Requires:       kded
Requires:       kdelibs4support
Requires:       kglobalaccel5 >= %{_plasma5_version}
Requires:       kinit
Requires:       kscreen5 >= %{_plasma5_version}
Requires:       kscreenlocker >= %{_plasma5_version}
Requires:       kwin5 >= %{_plasma5_version}
Requires:       libkscreen2-plugin >= %{_plasma5_version}
Requires:       libqt5-qdbus
Requires:       libqt5-qtpaths
# heavily used by plasma
Requires:       libqt5-qtquickcontrols
# needed by krunner
Requires:       milou5 >= %{_plasma5_version}
# boo#912317
Requires:       oxygen5-sounds >= %{_plasma5_version}
Requires:       solid-imports
# /usr/bin/startkde calls xprop
Requires:       xprop
# hardcode versions of plasma-framework-components and plasma-framework-private packages, as upstream doesn't keep backwards compability there
%requires_ge    plasma-framework-components
%requires_ge    plasma-framework-private
Recommends:     %{name}-lang
Recommends:     kio-extras5
# The lockscreen has a button to open a virtual keyboard
Recommends:     libqt5-qtvirtualkeyboard
# notifications...
Recommends:     phonon4qt5-backend
# people should be able to adjust desktop
Recommends:     systemsettings5
Conflicts:      kdebase4-workspace < 5.3.0
# Some files have been moved from kio-extras5 to plasma5-workspace in 5.4. This should prevent a possible file conflict. (boo#944656)
Conflicts:      kio-extras5 < 15.08.0
# plasmashell implements the dbus interface org.freedesktop.Notifications directly
Provides:       %{name}-branding = %{_plasma5_bugfix}
Provides:       %{name}-branding-upstream = %{version}
Provides:       dbus(org.freedesktop.Notifications)
Obsoletes:      %{name}-branding-upstream < %{version}
Provides:       xembed-sni-proxy = %{version}
Obsoletes:      xembed-sni-proxy < %{version}
# Later versions have a supplements in sni-qt
%if 0%{?suse_version} < 1330
# so Qt4-only apps have some colors in tray
Recommends:     sni-qt
%endif

%description
This package contains the basic packages for a Plasma workspace.

%package libs
Summary:        The KDE Plasma Workspace Components
Group:          Development/Libraries/KDE
%requires_ge    kio
%requires_ge    kservice
%requires_ge    libKF5Activities5
%requires_ge    libKF5CoreAddons5
%requires_ge    libKF5I18n5
%requires_ge    libKF5WindowSystem5
%requires_ge    libQt5Core5
%requires_ge    libQt5DBus5
%requires_ge    libQt5Gui5
%requires_ge    libQt5Widgets5
%requires_ge    libQt5X11Extras5
%requires_ge    libksysguard5
%requires_ge    plasma-framework

%description libs
This package contains the basic packages for a K Desktop Environment
workspace.

%package devel
Summary:        The KDE Plasma Workspace Components
Group:          Development/Libraries/KDE
Requires:       %{name}-libs = %{version}-%{release}
Requires:       cmake(KF5SysGuard) >= %{_plasma5_version}
Requires:       cmake(KF5Wayland) >= %{kf5_version}
Requires:       cmake(Qt5Core) >= 5.4.0
Requires:       cmake(Qt5Gui) >= 5.4.0
Requires:       cmake(Qt5Quick) >= 5.4.0
Conflicts:      kapptemplate <= 16.03.80
Conflicts:      kdebase4-workspace-devel
Provides:       plasma-workspace5-devel = %{version}
Obsoletes:      plasma-workspace5-devel < %{version}

%description devel
This package contains the basic packages for a K Desktop Environment
workspace. Development files.

%package -n plasma5-session
Summary:        KDE Plasma 5 X11 Session
Group:          System/GUI/KDE
Requires:       breeze >= %{_plasma5_version}
Requires:       breeze5-decoration >= %{_plasma5_version}
Requires:       khotkeys5 >= %{_plasma5_version}
Requires:       kwin5 >= %{_plasma5_bugfix}
Requires:       libkscreen2-plugin >= %{_plasma5_version}
Requires:       plasma-nm5 >= %{_plasma5_bugfix}
Requires:       plasma5-desktop >= %{_plasma5_bugfix}
Requires:       plasma5-workspace >= %{_plasma5_bugfix}
Requires:       polkit-kde-agent-5 >= %{_plasma5_version}
Requires:       powerdevil5 >= %{_plasma5_version}
Requires:       systemsettings5 >= %{_plasma5_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
Requires(pre):  %{_bindir}/cut
Requires(pre):  %{_bindir}/grep
Requires(pre):  %{_bindir}/sed
# needed for displaying the handbooks of KDE applications in a Plasma5 session (boo#980068)
Recommends:     khelpcenter5
Provides:       kdebase4-session = %{version}
Obsoletes:      kdebase4-session < %{version}
BuildArch:      noarch

%description -n plasma5-session
This package contains the startup scripts necessary to start a KDE
Plasma 5 session with X11 from a display manager.

%package -n plasma5-session-wayland
Summary:        KDE Plasma 5 Wayland Session
Group:          System/GUI/KDE
Requires:       kwayland-integration >= %{_plasma5_version}
Requires:       libqt5-qtwayland
Requires:       plasma5-session >= %{version}
Requires:       xf86-input-libinput
Requires:       xorg-x11-server-wayland
BuildArch:      noarch

%description -n plasma5-session-wayland
This package contains the startup scripts necessary to start a KDE
Plasma 5 session with Wayland from a display manager.

%lang_package

%prep
%setup -q -n plasma-workspace-%{version}
%autopatch -p1

%build
  %cmake_kf5 -d build -- -DKDE4_COMMON_PAM_SERVICE=xdm -DKDE_DEFAULT_HOME=.kde4 -DCMAKE_INSTALL_LOCALEDIR=%{_kf5_localedir}
  %make_jobs

%install
  %kf5_makeinstall -C build

  %if %{with lang}
    %{kf5_find_lang}
    %{kf5_find_htmldocs}
  %endif

  %suse_update_desktop_file -r %{buildroot}%{_kf5_applicationsdir}/org.kde.klipper.desktop System TrayIcon

  mkdir -p %{buildroot}%{_kf5_iconsdir}/hicolor/48x48/apps/
  cp %{_kf5_iconsdir}/breeze/apps/48/klipper.svg %{buildroot}%{_kf5_iconsdir}/hicolor/48x48/apps/

  # remove empty/invalid appstream xml files. kpackagetool5 generates invalid files sometimes...
  # remove this once kpackagetool5 is fixed
  find %{buildroot}%{_kf5_appstreamdir} -type f -size 0 -print -delete

  # No wayland for Leap 42.x as no Xwayland available
  %if 0%{?suse_version} <= 1320
      rm -rfv %{buildroot}%{_kf5_sharedir}/wayland-sessions
  %endif

  # Rename upstream session file to oS location
  mv %{buildroot}%{_kf5_sharedir}/xsessions/{plasma,plasma5}.desktop

  # Install compatibility symlink
  ln -s %{_kf5_sharedir}/xsessions/plasma5.desktop %{buildroot}%{_kf5_sharedir}/xsessions/kde-plasma.desktop

  mkdir -p %{buildroot}%{_sysconfdir}/alternatives
  touch %{buildroot}%{_sysconfdir}/alternatives/default-xsession.desktop
  ln -s %{_sysconfdir}/alternatives/default-xsession.desktop %{buildroot}%{_datadir}/xsessions/default.desktop

  %fdupes %{buildroot}/%{_prefix}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post -n plasma5-session
# Reset the DEFAULT_WM value for KDE upgrade compatibility
if [ -f %{_sysconfdir}/sysconfig/windowmanager ]; then
    OLD_DEFAULTWM=`grep "DEFAULT_WM" %{_sysconfdir}/sysconfig/windowmanager | cut -d '=' -f 2 | cut -d '"' -f 2`
fi

if [ -f %{_fillupdir}/sysconfig.windowmanager ]; then
    TEMPLATE_DEFAULTWM=`grep "DEFAULT_WM" %{_fillupdir}/sysconfig.windowmanager | cut -d '=' -f 2 | cut -d '"' -f 2`
fi

# Check the old DEFAULT_WM and whether current DEFAULT_WM exists
if [ "$OLD_DEFAULTWM" = "startkde4" ] || [ "$OLD_DEFAULTWM" = "startkde" ] || [ "$OLD_DEFAULTWM" = "kde4" ]; then
    if [ -n "$TEMPLATE_DEFAULTWM" ] && [ "$OLD_DEFAULTWM" != "$TEMPLATE_DEFAULTWM" ]; then
        sed -i -e "s/^DEFAULT_WM=['\"]\?kde.*/DEFAULT_WM=\"${TEMPLATE_DEFAULTWM}\"/g" %{_sysconfdir}/sysconfig/windowmanager
    fi
fi

%{_sbindir}/update-alternatives --install %{_datadir}/xsessions/default.desktop \
  default-xsession.desktop %{_datadir}/xsessions/plasma5.desktop 25

%postun -n plasma5-session
[ -f %{_datadir}/xsessions/plasma5.desktop ] || %{_sbindir}/update-alternatives \
  --remove default-xsession.desktop %{_datadir}/xsessions/plasma5.desktop

%files libs
%license COPYING*
%{_kf5_libdir}/libkworkspace5.so.*
%{_kf5_libdir}/libplasma-geolocation-interface.so.*
%{_kf5_libdir}/libtaskmanager.so.*
%{_kf5_libdir}/libweather_ion.so.*
%{_kf5_libdir}/libcolorcorrect.so.*

%files
%license COPYING*
%{_kf5_bindir}/xembedsniproxy
%{_kf5_bindir}/kcheckrunning
%{_kf5_bindir}/kcminit
%{_kf5_bindir}/kcminit_startup
%{_kf5_bindir}/kdostartupconfig5
%{_kf5_bindir}/klipper
%{_kf5_bindir}/krunner
%{_kf5_bindir}/ksmserver
%{_kf5_bindir}/ksplashqml
%{_kf5_bindir}/kstartupconfig5
%{_kf5_bindir}/kuiserver5
%{_kf5_bindir}/plasmashell
%{_kf5_bindir}/plasmawindowed
%{_kf5_bindir}/startkde
%{_kf5_bindir}/startplasmacompositor
%{_kf5_bindir}/systemmonitor
%{_kf5_bindir}/plasma_waitforname
%{_kf5_configdir}/autostart/org.kde.plasmashell.desktop
%{_kf5_configdir}/autostart/klipper.desktop
%{_kf5_configdir}/autostart/krunner.desktop
%{_kf5_configdir}/autostart/xembedsniproxy.desktop
%config %{_kf5_configdir}/plasmoids.knsrc
%config %{_kf5_configdir}/wallpaper.knsrc
%config %{_kf5_configdir}/taskmanagerrulesrc
%config %{_kf5_configdir}/kuiserver.categories
%dir %{_kf5_libdir}/libexec
%{_kf5_libdir}/libexec/ksyncdbusenv
%{_kf5_libdir}/libexec/startplasma
%{_kf5_libdir}/libexec/ksmserver-logout-greeter
%{_kf5_libdir}/libexec/ksmserver-switchuser-greeter
%{_kf5_libdir}/libkdeinit5_kcminit.so
%{_kf5_libdir}/libkdeinit5_kcminit_startup.so
%{_kf5_libdir}/libkdeinit5_klipper.so
%{_kf5_libdir}/libkdeinit5_ksmserver.so
%{_kf5_libdir}/libkdeinit5_kuiserver5.so
%{_kf5_libdir}/kconf_update_bin/krunnerplugins
%{_kf5_libdir}/libexec/baloorunner
%{_kf5_plugindir}/
%{_kf5_qmldir}/
%{_kf5_applicationsdir}/org.kde.klipper.desktop
%{_kf5_applicationsdir}/plasma-windowed.desktop
%{_kf5_applicationsdir}/org.kde.plasmashell.desktop
%{_kf5_applicationsdir}/org.kde.systemmonitor.desktop
%{_kf5_configkcfgdir}/freespacenotifier.kcfg
%{_kf5_sharedir}/dbus-1/services/kf5_org.kde.kuiserver.service
%{_kf5_sharedir}/dbus-1/services/org.kde.krunner.service
%{_kf5_sharedir}/dbus-1/services/org.kde.baloorunner.service
%{_kf5_sharedir}/dbus-1/services/org.kde.plasma.Notifications.service
%{_kf5_sharedir}/desktop-directories/
%{_kf5_sharedir}/kconf_update/
%dir %{_kf5_htmldir}
%dir %lang(en) %{_kf5_htmldir}/en
%doc %lang(en) %{_kf5_htmldir}/en/klipper/
%doc %lang(en) %{_kf5_htmldir}/en/kcontrol/
%doc %lang(en) %{_kf5_htmldir}/en/PolicyKit-kde/
%{_kf5_notifydir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}/
%{_kf5_sharedir}/ksplash/
%{_kf5_sharedir}/kstyle/
%{_kf5_plasmadir}/
%{_kf5_sharedir}/solid/
%{_kf5_sharedir}/kio_desktop/
%{_kf5_iconsdir}/hicolor/48x48/apps/klipper.svg
%{_kf5_appstreamdir}/
%dir %{_kf5_sharedir}/sddm
%dir %{_kf5_sharedir}/sddm/themes
%{_kf5_sharedir}/sddm/themes/breeze/

%files devel
%license COPYING*
%{_kf5_prefix}/include/kworkspace5/
%{_kf5_prefix}/include/plasma/
%{_kf5_prefix}/include/taskmanager/
%{_kf5_prefix}/include/colorcorrect/
%{_kf5_libdir}/cmake/KRunnerAppDBusInterface/
%{_kf5_libdir}/cmake/KSMServerDBusInterface/
%{_kf5_libdir}/cmake/LibKWorkspace/
%{_kf5_libdir}/cmake/LibTaskManager/
%{_kf5_libdir}/cmake/LibColorCorrect/
%{_kf5_libdir}/libkworkspace5.so
%{_kf5_libdir}/libplasma-geolocation-interface.so
%{_kf5_libdir}/libtaskmanager.so
%{_kf5_libdir}/libweather_ion.so
%{_kf5_libdir}/libcolorcorrect.so
%{_kf5_sharedir}/kdevappwizard/
%{_kf5_sharedir}/dbus-1/interfaces/

%files -n plasma5-session
%license COPYING*
%{_kf5_sharedir}/xsessions/plasma5.desktop
%{_kf5_sharedir}/xsessions/kde-plasma.desktop
%ghost %{_sysconfdir}/alternatives/default-xsession.desktop
%{_kf5_sharedir}/xsessions/default.desktop

# No wayland for 42.x as no Xwayland available
%if 0%{?suse_version} > 1320
%files -n plasma5-session-wayland
%license COPYING*
%dir %{_datadir}/wayland-sessions/
%{_datadir}/wayland-sessions/plasmawayland.desktop
%endif

%if %{with lang}
%files lang -f %{name}.lang
%endif

%changelog
* Wed Jan 20 2021 Wolfgang Bauer <wbauer@tmo.at>
- Add Calculate-first-clickable-point-from-the-top-left.patch to
  fix systray context menu for wine applications (kde#399234,
  boo#1149071)
* Fri Mar 22 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Edit 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch:
  * Allow overriding GDK_BACKEND in .config/plasma-workspace/env
* Tue Mar  5 2019 fabian@ritter-vogt.de
- Update to 5.12.8
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.8.php
- Changes since 5.12.7:
  * [weather] envcan: Fix typo in lowercase icon lookup string
  * Don't show entries with NoDisplay=true with the applauncher containmentaction
  * [weather dataengine] bbc,envcan,noaa: fix day/night calculation for observe
  * [weather dataengine] envcan: fix forecast icons to match "ice pellets"
  * weather dataengine] noaa: another forecast string found in use
  * [kio_applications] Fix last dir item being shown twice
  * [plasmawindowed] Pick up KQuickAddons::QtQuickSettings
  * weather dataengine] noaa: support more "Slight Chance *" forecast strings
  * [weather dataengine] Remove duplicated condition/forecast strings
  * StatusItemNotifier: fix overlays by name with icons by name
  * [weather dataengine] noaa: add another forecast string found in use
  * [weather dataengine] bbc: use night icons for forecast "Tonight"
  * Useful error output when shell loading is aborted due to kactivitymanagerd not being activatable
  * [weather dataengine] envcan: fix typo in forecast string "Mainly sunny"
  * [weather dataengine] envcan: support also "Partly cloudy" forecast
  * [weather dataengine] bbc: adapt to changed strings for same day in forecast
  * [weather dataengine] noaa: add more forecast strings found in use
  * [weather dataengine] envcan: support also "Mainly cloudy" forecast
  * [weather dataengine] noaa: use https over http
  * [weather dataengine] noaa: fix unknown icon for Flurries
  * [kuiserver] Debug--
  * [kuiserver] Avoid double warning on terminated jobs
  * Set error if a kjob host disappears from kuiserver with active jobs
  * Only use wl-shell for the ksmserver greeters on Qt < 5.12 (kde#399918)
  * Plasmashell freezes when trying to get free space info from mounted remote filesystem after losing connection to it (kde#397537)
  * KRunner: remove no longer existant and unused column from SQL query (kde#398305)
  * Fallback to in-process prompt if logout prompt fails
  * Klipper: Do not insert secret data into history
- Refresh 0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch
* Sat Feb  2 2019 Fabian Vogt <fabian@ritter-vogt.de>
- Drop support for core fonts to avoid dependencies:
  * 0001-Drop-X11-core-fonts-code-from-startkde-startplasma.patch
- Add patch to apply the X11 scale factor to GTK as well:
  * 0002-X11-set-GDK_SCALE-try-2.patch
- Use %%license
* Tue Sep 25 2018 fabian@ritter-vogt.de
- Update to 5.12.7
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.7.php
- Changes since 5.12.6:
  * [Media Player] Change int to double for positions (kde#397591)
  * [Solid Device Engine] Don't update free space info for inaccessible storage devices
  * [Notifications Engine] Guard "this" (kde#397105)
  * [Service Runner] Look up relative entryPaths
  * [Desktop Scripting ConfigGroup] Add more nullptr checks
  * Fix blocky text on splash screen when using non-integer scale factor
  * [Notifications Engine] Never group notifications with URLs (kde#396741)
  * Don't block startplasma sending DBus call to KSplash
  * [Places Runner] Add place category as subtext
  * [Places Runner] Fix opening search and timeline URLs
  * [Places Runner] Fix opening devices
- Remove patches, now upstream:
  * 0001-Notifications-Engine-Guard-this.patch
  * 0001-Notifications-Engine-Never-group-notifications-with-.patch
- Refresh 0001-Rename-qdbus-in-startkde.patch
* Wed Aug 22 2018 fabian@ritter-vogt.de
- Update to 5.12.6 (boo#1105686)
- Relax version requirements for partial Plasma version bump
- Add additional fixes:
  * 0001-Notifications-Engine-Guard-this.patch (kde#397105)
  * 0001-Notifications-Engine-Never-group-notifications-with-.patch (kde#396741)
  * 0001-Notification-dataengine-debug-category.patch (boo#1101873)
- Use %%define instead of %%global to workaround spec-cleaner/rpm 4.14 incompatibility
* Wed Jun 27 2018 fabian@ritter-vogt.de
- Update to 5.12.6
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.6.php
- Changes since 5.12.5:
  * [Slideshow Wallpaper] Ignore hidden files and folders (kde#394882)
  * Weigh matching services by relating data used in query to their menuids
  * Add mappings for VirtualBox
  * Remove legacy Wine hack-around from rules rc. (kde#393787)
  * [Service Runner] Do startsWith check case-insensitive (kde#394202)
* Sat May 19 2018 fabian@ritter-vogt.de
- Refresh 0001-Add-a-button-to-clear-the-notification-history.patch
* Mon May  7 2018 fabian@ritter-vogt.de
- Remove runtime dep on update-desktop-files
* Wed May  2 2018 fabian@ritter-vogt.de
- Update to 5.12.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.5.php
- Changes since 5.12.4:
  * [ksmserver] Use QUrl::fromUserInput to construct sound url (kde#392725)
  * [Image Wallpaper] Fix auto transform for blurred fill (kde#393498)
  * sddm-theme: Focus the password field if enter pressed in the username field
  * [Notifications] Always scroll to the top when opening (kde#391646)
  * [ContextMenu Containment Action] Fix checking for KIOSK (kde#393329)
  * [Power Management Engine] Fix kiosk restriction for lockscreen (kde#393331)
  * [weather dataengine] envcan: fix forecast terms to match "ice pellets"
  * [weather dataengine] bbc: handle and ignore condition "Not Available"
  * [weather dataengine] bbc: handle and skip visbility "--"
  * [OSD] Enforce plain text
  * [weather] BBCUKMET: add missing "thundery showers"
  * [weather] BBCUKMET: add missing "light rain showers"/"heavy rain showers"
  * [weather dataengine] Fix BBC provider to adapt to change RSS feed (kde#392510)
  * KDE logout screen background color fix (kde#382264)
  * fix: Klipper notifications visually broken since plasma 5.12 (kde#390375)
  * [notifications applet] Fix two qml warnings about assigning [undefined]
- Remove patches, now upstream:
  * Fix-weather-engine-BBC-provider.patch
* Mon Apr 23 2018 fabian@ritter-vogt.de
- Add patch to avoid listing all users over NIS:
  * lazy-sddm-theme.patch
* Tue Apr 17 2018 fabian@ritter-vogt.de
- Add patch to add a clear button to the notification history (kde#386068):
  * 0001-Add-a-button-to-clear-the-notification-history.patch
* Sat Mar 31 2018 wbauer@tmo.at
- Add Fix-weather-engine-BBC-provider.patch to adapt the BBC
  weather engine provider to changes in the RSS feed that broke it
  (kde#392510)
* Wed Mar 28 2018 fabian@ritter-vogt.de
- Don't require plasma5-workspace in plasma5-workspace-devel,
  it pulls in a lot of unnecessary requirements and can cause
  build loops
* Tue Mar 27 2018 fabian@ritter-vogt.de
- Update to 5.12.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.4.php
- Changes since 5.12.3:
  * [notifications applet] Fix two qml warnings about assigning [undefined]
  * Remove long-time deprecated Encoding=UTF-8 from desktop format files
  * [Run Command] Pass "event" to runCurrentIndex
  * Move to KRunner's second results item with a single keypress (kde#392197)
  * Pass proper click coordinates to SNI ContextMenu calls
  * libdbusmenu-qt: Remove nonexistant actions directly from the menu
  * Set a transient parent for SNI context menus
  * [DeviceNotifications Engine] Never show safely remove message when mounting (kde#391180)
  * Use dbus-run-session instead of dbus-launch --exit-with-session
  * [System Tray] Fix hiding applets with HiddenStatus
  * [Notifications] Remove NoAccessNetworkAccessManagerFactory
  * Improve By Desktop sorting for task groups (kde#384747)
  * Use separate config group for each wallpaper plugin
  * Fix duplicated [Desktop Entry] sections in two menu directory files
- Remove patches, now upstream:
  * 0001-Use-dbus-run-session-instead-of-dbus-launch-exit-wit.patch
* Sat Mar 24 2018 fabian@ritter-vogt.de
- Add patches to not set QT_QPA_PLATFORM in a wayland session:
  * 0001-Call-KLocalizedString-setApplicationDomain-after-Q-A.patch
  * 0002-Add-platform-detection-to-KWorkspace-library-to-adju.patch
  * 0003-No-longer-export-QT_QPA_PLATFORM-env-variable-to-the.patch
  * 0001-Set-XDG_SESSION_TYPE-wayland-in-startplasmacomposito.patch
- Set GDK_BACKEND=x11 to work around GTK3 bugs:
  * 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch
- Add a suffix to the wayland session's name:
  * 0001-Add-suffix-to-the-wayland-session-s-name.patch
- Apply upstream patches before downstream patches
* Mon Mar 19 2018 fabian@ritter-vogt.de
- Add upstream patch to fix starting a wayland session from gdm and
  lightdm: (boo#1085772):
  * 0001-Use-dbus-run-session-instead-of-dbus-launch-exit-wit.patch
* Tue Mar  6 2018 fabian@ritter-vogt.de
- Update to 5.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.3.php
- Changes since 5.12.2:
  * [media controller applet] Support MPRIS services where CanPause==false
  * [mpris2 dataengine] Fix media key handling to match MediaPlayer2.Player
  * [media controller applet] Fix JS error on no xesam:url data set
  * [mediacontroller applet] Remove de-funct "General" configuration page
  * Fix the userswitcher when using the mouse for switching (kde#391007)
  * Adapt to further nullpointers from prison
* Wed Feb 21 2018 lbeltrame@kde.org
- Update to 5.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.2.php
- Changes since 5.12.1:
  * Fix favicons in firefox bookmarks runner (kde#363136)
  * Remove uninstalled themerc files for no longer existing Qt themes
  * Have all krunner plugin desktop files prefixed with "plasma-runner-"
  - Refreshed patches:
  * 0001-Rename-qdbus-in-startkde.patch
* Tue Feb 13 2018 fabian@ritter-vogt.de
- Update to 5.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.1.php
- Changes since 5.12.0:
  * Improve appearance of the logout dialog on wayland
  * Fix Breeze LnF theme data for window decoration
  * Fix dupe handling in requestAddLauncherToActivities; improve unit test
  * [Notifications] Let clear entry also clear history
  * [LauncherTasksModel] Support applications: URLs in requestOpenUrls
  * [appstream runner] Add missing Messages.sh file and set TRANSLATION_DOMAIN
* Fri Feb  2 2018 fabian@ritter-vogt.de
- Update to 5.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.12.0.php
- Changes since 5.11.95:
  * [Notifications] Fix grouping
  * Make sure device paths are quoted
  * Add license header to test
  * Revert "Set GTK scaling env vars" (kde#389523)
  * Revert "Replace bc with awk"
  * Sanitise notification HTML
  * Add missing find_dependency calls to libs' CMake config files
  * Fix krunner's alt+f2 on wayland (kde#385693)
  * Further improve quality of images in notifications (kde#385097)
  * Fix autohide panels on wayland (kde#377838)
  * Improve quality of images in notifications (Bug 385097) (kde#385097)
  * [Notifications] Unset Heading default height (kde#381154)
  * [Notifications] Unset Heading default height (kde#381154)
  * [Notifications] Put history into a ListView (kde#389132)
  * [Notifications] Disable history check box when notifications are disabled
  * [PanelView] Also requestActivate config dialog
  * Require KDE Frameworks 5.42
  * [Calculator Runner] Fix unused variable warning
  * [Calculator Runner] Move action check outside of ifdef
* Mon Jan 15 2018 fabian@ritter-vogt.de
- Update to 5.11.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.95.php
- Too many changes to list here
- Adjust 0001-Rename-qdbus-in-startkde.patch
* Tue Jan  2 2018 fabian@ritter-vogt.de
- Update to 5.11.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.5.php
- Changes since 5.11.4:
  * [widgetexplorer] Fix trying to show deleted dialog
  * Remove i18n() calls from iconSource names
  * [widgetexplorer] Make sure KNS download dialog is destroyed
  * [weather] NOAA ion: Show some icons for "Hot" and "Cold" forecasts (kde#365715)
  * [weather] NOAA ion: update link in comments
* Mon Dec  4 2017 fabian@ritter-vogt.de
- Only recommend, not require, kio-extras5
* Sat Dec  2 2017 fabian@ritter-vogt.de
- Add explicit BuildRequires for xrender and xtst
* Thu Nov 30 2017 fabian@ritter-vogt.de
- Update to 5.11.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.4.php
- Changes since 5.11.3:
  * Dict Engine: cache available dicts
  * Dict engine: remove two redundant lines
  * Dict engine: remove double quotes around dictionary descriptions.
  * [weather] ion template: remove bogus translation strings
  * Preserve the order in dbus menu when doing action reusing.
  * Be more explicit about Qt5::Widgets dependencies
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Tue Nov  7 2017 fabian@ritter-vogt.de
- Update to 5.11.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.3.php
- Changes since 5.11.2:
  * DictEngine: set a scheme for the URLs, otherwise webengine won't handle them
  * Align logout screen action buttons to the top (kde#371249)
  * Sync xwayland DPI font to wayland dpi
* Tue Oct 24 2017 fabian@ritter-vogt.de
- Update to 5.11.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.2.php
- Changes since 5.11.1:
  * Sync xwayland DPI font to wayland dpi
  * Dict Engine: various cleanups
  * Dict Engine: improve error handling.
* Sat Oct 21 2017 fabian@ritter-vogt.de
- Add #!BuildIgnore to break the kwin5 -> kdialog dep chain which
  results in pulling in kdebase4-runtime on 42.2
* Tue Oct 17 2017 fabian@ritter-vogt.de
- Update to 5.11.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.1.php
- Changes since 5.11.0:
  * [LauncherTasksModel] Try resolving absolute path to applications: URL before adding launcher
  * [Task Tools] Treat applications: and respective absolute path equal in launcherUrlsMatch (kde#385594)
  * [StartupTasksModel] Try resolving startup application id to applications: URL
  * Fix "postEvent: null receiver" warning due to nullptr->deleteLater()
  * Remove compilation flag for non-existing source file
  * Revert "Remove pointless data copy in lockscreen delegate"
- Remove patches, now upstream:
  * fix-switch-user.patch
* Wed Oct 11 2017 wbauer@tmo.at
- Add fix-switch-user.patch to fix being unable to switch users
  from the Switch User screen
* Thu Oct  5 2017 fabian@ritter-vogt.de
- Update to 5.11.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.11.0.php
- Changes since 5.10.95:
  * update selected wallpaper when adding from file browser
  * Stop setting the QQC1 style in startkde
  * Fix another test failure.
  * Fix test failure after favorites URL mangling refactoring.
  * [PowerDevil Runner] Obliterate traces of power profiles
  * [TasksModel] Use std::acumulate on the QHash directly
  * remove extra executable bits
  * Don't set QQC Style in startkde
  * Unhide autohidden panel when using global menu (kde#384861)
  * Use a separate config value for Wayland font DPI
* Sun Sep 17 2017 smurf.anon@gmail.com
- Remove the fix related to a knotifications bug (boo#1046458):
  * bug is fixed upstream (knotifications 5.38.0)
* Thu Sep 14 2017 fabian@ritter-vogt.de
- Update to 5.10.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * plasma5-workspace/0001-Don-t-search-for-and-link-to-libcln-when-using-libqa.patch
  * plasma5-workspace/applauncher-allow-to-show-apps-by-name.patch
  * plasma5-workspace/logoutdialog-honor-Offer-shutdown-options.patch
- Move plasma5-session into here
- Convert kde-plasma.desktop session file to link to avoid duplicate
  entries in display managers
- Add AppStreamQt BuildReq
* Wed Aug 30 2017 fabian@ritter-vogt.de
- Add patch to fix build with qalculate 2.0:
  * 0001-Don-t-search-for-and-link-to-libcln-when-using-libqa.patch
* Tue Aug 22 2017 fabian@ritter-vogt.de
- Update to 5.10.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.5.php
- Changes since 5.10.4:
  * Fix QSortFilterProxyModelPrivate::updateChildrenMapping crash in libtaskmanager (kde#381006)
  * [Notifications] Clean up States
  * Don't change fillMode of image just before deleting it
  * Disable kuiserver debug output by default; make it appear in kdebugsettings.
  * [Battery Monitor] Fix icon size for InhibitionHint (kde#383213)
  * [Notifications] Improve mouse handling (kde#382263)
  * Use correct easing type values (kde#382834)
  * Prefer using https for kns providers
  * Improve unittest for renaming desktop icons
  * [AppMenu Applet] Pass "ctx" as context instead of "this" (kde#382386)
  * [Klipper ModelTest] Fix build
  * [TasksModel] Use LauncherUrlWithoutIcon in move method
  * [LauncherTasksModel] Emit dataChanged for LauncherUrlWithoutIcon on sycoca change
* Fri Aug 18 2017 fabian@ritter-vogt.de
- Fix more uses of qdbus in 0001-Rename-qdbus-in-startkde.patch
* Thu Aug 17 2017 fabian@ritter-vogt.de
- Remove Recommends on sni-qt to not pull in Qt4 unconditionally
  (sni-qt supplements packageand(plasma5-workspace:libqt4) now)
* Sun Aug 13 2017 fabian@ritter-vogt.de
- Recommend libqt5-qtvirtualkeyboard as the default lockscreen
  theme has a button to open it
* Fri Aug  4 2017 wbauer@tmo.at
- Require libqt5-qdbus and libqt5-qtpaths instead of the full
  libqt5-qttools package which also contains development tools
  (boo#988808)
* Tue Jul 18 2017 fabian@ritter-vogt.de
- Update to 5.10.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.4.php
- Changes since 5.10.3:
  * Fix compilation with current cmake (git branch release).
  * [Notification Item] Enforce PlainText for summary
  * [Notifications] Check for corona to avoid crash (kde#378508)
  * [Windowed Widgets Runner] Fix launching widget
  * [lookandfeel/lockscreen] Fix state handling when clicking the keyboard's own hide button (kde#381833)
- Remove patches, now upstream:
  * Notifications-Check-for-corona-to-avoid-crash.patch
* Wed Jul 12 2017 wbauer@tmo.at
- Add Notifications-Check-for-corona-to-avoid-crash.patch to
  prevent a Plasma crash when removing a panel that has a system
  tray with the Notifications applet (boo#1046500, kde#378508)
* Sun Jul  9 2017 wbauer@tmo.at
- Add logoutdialog-honor-Offer-shutdown-options.patch to make the
  logout dialog respect the "Offer shutdown options" setting and
  hide "Reboot" and "Shutdown" if disabled (boo#1008844)
* Sat Jul  1 2017 wbauer@tmo.at
- Add applauncher-allow-to-show-apps-by-name.patch to provide an
  option to display application names instead of the generic names
  in the desktop containment's application launcher mouse action
  (kde#358423, boo#974513)
* Wed Jun 28 2017 wbauer@tmo.at
- Delete org.kde.plasma.Notifications.service, this causes problem
  for KDE applications when they are being run on a different
  desktop or remotely via ssh (boo#1046458)
* Tue Jun 27 2017 fabian@ritter-vogt.de
- Update to 5.10.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.3.php
- Changes since 5.10.2:
  * [xembedsniproxy] Free windowAttributes in every case
  * Use KRun::runApplication when possible; split out and share more code.
  * Use KRun::runApplication, add missing KActivities::notifyAccessed calls. (kde#381500)
  * [AppMenu Applet] Workaround Connections bug in Qt >= 5.8 (kde#375535)
  * [AppMenu Applet] Wire up DBusMenuImporter::actionActivationRequested (kde#376726)
  * fix attachment signals
  * [xembedsniproxy] Fix memleak and possible crash
- Remove patches, now upstream:
  * xembedsniproxy-fix-possible-crash.patch
- Use %%kf5_find_htmldocs
* Sat Jun 17 2017 wbauer@tmo.at
- Add xembedsniproxy-fix-possible-crash.patch to fix a possible
  crash
* Tue Jun 13 2017 fabian@ritter-vogt.de
- Update to 5.10.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.2.php
- Changes since 5.10.1:
  * [Icon Applet] Repopulate if URL didn't change (kde#380922)
  * Fix binding loop in ClipboardItemDelegate
  * Squelch warning.
* Tue Jun  6 2017 fabian@ritter-vogt.de
- Update to 5.10.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.1.php
- Changes since 5.10.0:
  * Fix testing when the test has qml syntax errors
  * Fix variable name and logic
  * Only enable MPRIS global shortcuts on demand (kde#380526)
  * Small fix on test helper
  * [xembedsniproxy] Fix check whether to use XTest (kde#362941,kde#375017)
  * dont' crash if we don't have a launcherTasksModel
  * don't show logout when kauthorized doesn't want it (kde#380344)
  * [TaskGroupingProxyModel] Use LauncherUrlWithoutIcon
  * Always add data sources in SystemMonitorEngine::sourceRequestEvent() (kde#380209)
- Remove patches, now upstream:
  * xembedsniproxy-fix-using-XTest.patch
  * 0001-dont-crash-if-we-don-t-have-a-launcherTasksModel.patch
* Wed May 31 2017 wbauer@tmo.at
- Add xembedsniproxy-fix-using-XTest.patch to fix clicking on
  system tray icons of certain applications, mainly GTK3 and Java
  (boo#1026999, kde#362941, kde#375017)
* Tue May 30 2017 fabian@ritter-vogt.de
- Add patch to fix crash with active-window-control plasmoid:
  * 0001-dont-crash-if-we-don-t-have-a-launcherTasksModel.patch
* Fri May 26 2017 fabian@ritter-vogt.de
- Update to 5.10.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.10.0.php
- Changes since 5.9.95:
  * Always add data sources in SystemMonitorEngine::sourceRequestEvent() (kde#380209)
  * Fix co-installability with other DBus activated notification services
  * We should not forget the launchers that are not currently shown
  * remove useless debug
  * don't check for panel visible during startup
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
  * [Weather] Fix term used for thunderstorm in bbcukmet data db
  * [Weather] Add missing strings from bbcukmet data db
  * [Weather] Remove duplicated/bad strings from bbcukmet data db
  * [Weather] Fix lookup of bbcukmet translations strings, stored in lowercase
* Thu May 11 2017 fabian@ritter-vogt.de
- Update to 5.9.95
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.95.php
- Too many changes to list here
- Remove patches, now upstream:
  * change-kioremote-severity.patch
  * 0001-Some-UI-fixes-for-logout-dialog.patch
  * revert-autostart-krun.patch
* Thu Apr 27 2017 lbeltrame@kde.org
- Add upstream patch revert-autostart-krun.patch:
  * Fix Plasma start  if a non existent executable was supplied as
    autostart script / program
* Tue Apr 25 2017 lbeltrame@kde.org
- Update to 5.9.5
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.5.php
- Changes since 5.9.4:
  * Update the ungrab mouse hack for Qt5.8
  * use KProcess instead of QProcess to launch apps in ksmserver
  * launch autostart apps in ksmserver using KRun, not QProcess (kde#369391, kde#370528)
  * recognize the WM even if given with a full path
  * Don't remove other applets in SystemTray::cleanupTask
  * [Media Controller] Enforce PlainText format
  * [Media Controller] Enforce PlainText format
  * Fix off-by-one.
  * [Media Controller] Use double for length instead of int (kde#377623)
  * When deleting the panel the notifications applet is in, the containment is being destroyed but the corona is still there and rightfully emits availableScreenRectChanged. This will cause us to crash when we try to access the no-longer existing containment.
  * Fix losing wallpaper selection when clicking "Apply".
  * Correctly handle when a new primary screen displaces the old
  * Fix TasksModel.anyTaskDemandsAttention not updating on window closure. (kde#378254)
  * [Windowed Widgets Runner] Fix mimeDataForMatch
  * Connect aboutToHide signal from QMenu to relevant libdbusmenu-qt slot (kde#375053)
  * [Calculator Runner] Use "approximate" approximation mode (kde#277011)
  * [OSD] Allow disabling OSD through config file
* Sun Apr 16 2017 fabian@ritter-vogt.de
- No longer generate org.kde.plasma.private.systemtray.appdata.xml manually,
  bug fixed in kpackage meanwhile
* Thu Apr 13 2017 fabian@ritter-vogt.de
- Add patch to fix some logout UI issues:
  * 0001-Some-UI-fixes-for-logout-dialog.patch
* Sat Apr  8 2017 fabian@ritter-vogt.de
- Remove empty files in %%_kf5_appstreamdir
* Tue Mar 21 2017 fabian@ritter-vogt.de
- Update to 5.9.4
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.4.php
- Changes since 5.9.3:
  * do not add debugger button unless it is meant to be visible
  * manage mouse events when out of the window (kde#377545)
  * don't emit availableScreenRectChanged when quitting
  * try proper order of corona()->availableScreenRect() (kde#377298)
  * [Notifications] Keep popup opened during drag
  * Ignore NoDisplay=true .desktop entries when matching by Name.
  * Preview Centered wallpaper as PreserveAspectFit (kde#375675)
  * Only activate kded Appmenu signals if menus are in the window decoration
  * Open the correct submenu in kwin menu when activating the Appmenu with a shortcut
  * try harder to make the selected wallpaper visible
* Sat Mar 11 2017 dimstar@opensuse.org
- Provide dbus(org.freedesktop.Notifications): plasmashell
  implements the Notifications interface.
* Tue Feb 28 2017 fabian@ritter-vogt.de
- Update to 5.9.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.3.php
- Changes since 5.9.2:
  * Remove deprecated --shut-up start flag
  * Fix another regression with rearranging launchers in an activities world.
  * [Media Controller] Round button size for play button
  * try harder to make the selected wallpaper visible
  * [Logout Screen] Show suspend button only if supported
  * Map StartupWMClass for Chrome apps instead of RegExp'ing the name
  * [kioslave/remote] Fix broken kded module
  * Port to QMultiHash.
  * Only remove + announce if leader change actually occured, avoid excessive loop.
  * Fix crash.
  * [Notifications] Never manually hide() the NotificationPopup
  * Add comment laying out goals.
  * Fix crash when switching activities.
  * Tweak alphabetic (default) sort behavior.
- Remove patches, now upstream:
  * 0001-Fix-another-regression-with-rearranging-launchers-in.patch
* Thu Feb 23 2017 fabian@ritter-vogt.de
- Add patch to fix regression in Plasma 5.9:
  * 0001-Fix-another-regression-with-rearranging-launchers-in.patch
* Mon Feb 20 2017 wbauer@tmo.at
- drkonqi can use konsole again, the problems there are fixed
* Tue Feb 14 2017 fabian@ritter-vogt.de
- Update to 5.9.2
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.2.php
- Changes since 5.9.1:
  * TaskManager: add icon to cache after painfully querying it over XCB/NETWM.
  * Pass args to DataEngine superclass constructor
  * turn the NotificationItem in a MouseArea
  * [DesktopView] show() ConfigView when it is already opened
  * Match QtQuick import to minimum Qt version
  * [Clipboard plasmoid] Fix line breaks
  * [System Tray] Part Revert "Trigger context menu on press" as this breaks xembedsniproxy
  * Rename Application Menu to Global Menu to avoid conflict
  * [kioslave/remote] Fix porting bugs
  * [Icon Applet] More sensible minimum height
  * make services disqualification much stricter
  * [System Tray Containment] Drop useless Q_INVOKABLE from .cpp file
  * [System Tray Containment] Ungrab mouse before opening context menu
- Remove patches, now upstream:
  * 0001-make-services-disqualification-much-stricter.patch
* Sun Feb 12 2017 fabian@ritter-vogt.de
- Add workaround for boo#1024326, kde#376394:
  * Copy org.kde.plasma.systemtray.appdata.xml to
    org.kde.plasma.private.systemtray.appdata.xml to fix missing summary
* Tue Feb  7 2017 fabian@ritter-vogt.de
- Update to 5.9.1
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.1.php
- Changes since 5.9.0:
  * [User Switcher] Ungrab keyboard before trying to lock the screen
  * react to config change
  * [System Tray Containment] Drop useless Q_INVOKABLE from .cpp file
  * [System Tray Containment] Ungrab mouse before opening context menu
  * [AppMenu Applet] Map from scene after mapping from global
  * Fix memory leak in Appmenu when using compact menu
  * [Appmenu Applet] Check whether buttonGrid has a window before calling mapToGlobal
  * [Digital Clock] Take into account timezone label width for applet size
  * [KRunner] In doubt use primary screen for view position
  * Drop legacy fixup rule for VirtualBox.
  * fix isOutputRedundant logic
  * fix isOutputRedundant logic
  * When swapping Wallpapers, save the config to file, not just to propertymap
- Remove patches, now upstream:
  * 0001-When-swapping-Wallpapers-save-the-config-to-file-not.patch
  * 0002-fix-isOutputRedundant-logic.patch
- Add patch to fix 5.9.0 regression:
  * 0001-make-services-disqualification-much-stricter.patch
* Sat Jan 28 2017 wbauer@tmo.at
- Add cmake(KF5Prison) build requirement to enable the clipboard's
  barcode generation feature
* Sat Jan 28 2017 fabian@ritter-vogt.de
- Bump required KF5 version to 5.29
- Add upstream patch to fix some multiscreen issues:
  * 0002-fix-isOutputRedundant-logic.patch
* Thu Jan 26 2017 fabian@ritter-vogt.de
- Update to 5.9.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.9.0.php
- Add upstream patch to fix kde#375532:
  * 0001-When-swapping-Wallpapers-save-the-config-to-file-not.patch
- Changes since 5.8.95:
  * [Icon Applet] Use KIO::statJob to work with remote URLs
  * Fix group parents not appearing when disabling inline grouping.
  * [Image Wallpaper] Provide fallback for thumbnail size of no "plasmoid" around
  * only reset the model after componentComplete()
  * [lookandfeel] Breeze window decoration
  * Fix "Unpin" for tasks pinned to specific activities.
  * applets/icon: Set i18n domain (patch by Victor<victorr2007@narod.ru>)
  * use Q_FOREACH in this branch
  * Corona::screenGeometryChanged on qscreen resized
  * add #include <QtQml> for old Qt versions
  * Replace std::bind with lambda.
  * try to put annotations before parameters definition
  * fix dbus xml compilation
  * guard against menu being deleted whilst updating
  * Hide menu if the menu disappears off DBus
  * Don't re-evaluate the model constantly whilst looping through windows
  * Generate DBusMenu Interface for libdbusmenuqt
  * pre-load the first layer of sub menus
  * Signal which menu has updated in libdbusmenu-qt
  * Don't hide applet when it needs configuring
  * Don't load menu when switching window focus to the desktop
  * Keep AppletMenu as small as possible
  * Fix calling KWindowSystem::windowType without fetching the type
  * Enable Edit Action in plasmoid mode
  * Fix mapToGlobal
  * Show "All Widgets" even when showSpecialFilters=false.
  * [Icon Applet] Rename open() to run() to fix compilation on 32-bit
* Thu Jan 12 2017 fabian@ritter-vogt.de
- Update to 5.8.95 (Plasma 5.9 Beta)
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.95.php
- Changes:
  * See https://www.kde.org/announcements/plasma-5.8.5-5.8.95-changelog.php#plasma-workspace
- Remove patches, now upstream:
  * 0001-better-clean-up-of-duplicate-containments.patch
- Workaround made unnecessary by upstream commits:
  * add-tray-icon-cache.patch
* Tue Jan 10 2017 fabian@ritter-vogt.de
- Add experimental patch to fix some dangling duplicate
  containments in the -appletsrc:
  * 0001-better-clean-up-of-duplicate-containments.patch
* Thu Dec 29 2016 tittiatcoke@gmail.com
- Require also the main package from the devel package. This is
  required to get the required layouts for the servicetypes.
* Tue Dec 27 2016 fabian@ritter-vogt.de
- Update to 5.8.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.5.php
* Wed Nov 23 2016 fabian@ritter-vogt.de
- Update to 5.8.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.4.php
- Remove patches, now upstream:
  * 0001-taskmanagerrulesrc-Add-Rewrite-Rule-for-Google-chrom.patch
  * 0002-make-sure-all-outputs-are-known.patch
  * 0003-Sync-app-config-in-sync-with-applets-config.patch
  * 0004-Avoid-connecting-to-screen-changed-signals-twice.patch
  * 0005-Load-screenpool-at-the-same-time-as-we-connect-to-sc.patch
  * Look-for-both-json-and-desktop-metadata.patch
  * keep-wallpaper-aspect-ratio-wallpaper-on-screen-resolution-change.diff
  * plasma5-workspace.spec
  * use-nearest-aspect-ratio-available-wallpaper.diff
* Sat Nov 12 2016 wbauer@tmo.at
- Add Look-for-both-json-and-desktop-metadata.patch to fix adding a
  panel or plasmoid with the new json metadata files
* Thu Nov 10 2016 fabian@ritter-vogt.de
- Backport several commits for better multiscreen handling:
  * 0001-taskmanagerrulesrc-Add-Rewrite-Rule-for-Google-chrom.patch
  * 0002-make-sure-all-outputs-are-known.patch
  * 0003-Sync-app-config-in-sync-with-applets-config.patch
  * 0004-Avoid-connecting-to-screen-changed-signals-twice.patch
  * 0005-Load-screenpool-at-the-same-time-as-we-connect-to-sc.patch
  * kde#372099,kde#371858,kde#371991,kde#371819,kde#371734
  * boo#1003438
* Thu Nov  3 2016 fabian@ritter-vogt.de
- Introduce new _plasma5_bugfix global for more fine-tuned dependencies
* Wed Nov  2 2016 wbauer@tmo.at
- Call qtpaths with an absolute path in startkde to make sure the
  system one is used (boo#1004769)
* Wed Nov  2 2016 alarrosa@suse.com
- Add use-nearest-aspect-ratio-available-wallpaper.diff to improve the
  selection of wallpapers keeping the same (or as similar as possible)
  aspect ratio (boo#990257). Include the latest changes submitted
  upstream to work better with QUAD HD screen resolutions.
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
- Remove upstream patches:
  * fix-sddm-theme-logic.diff
  * remove-sddm-graphicaleffects-dep.patch
* Sun Oct 23 2016 fabian@ritter-vogt.de
- Remove Requires again, backport import removal
  * remove-sddm-graphicaleffects-dep.patch
* Sat Oct 22 2016 fabian@ritter-vogt.de
- Add Requires: libqt5-qtgraphicaleffects as used by the sddm theme
* Fri Oct 21 2016 alarrosa@suse.com
- Added fix-sddm-theme-logic.diff so sddm offers the text entry boxes
  by default (instead of an empty user list) when the userlist model
  is empty (boo#1003742)
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
- Removed upstream patches:
  * 0001-save-the-containment-only-aftyer-switch.patch
- Remove copyrighted picture (kde#370490)
* Fri Oct  7 2016 alarrosa@suse.com
- Add keep-wallpaper-aspect-ratio-wallpaper-on-screen-resolution-change.diff:
  * Chooses a new preferred background image when the screen
    resolution is changed to keep the correct aspect ratio (boo#990257).
    Also check for division by zero.
* Thu Oct  6 2016 fabian@ritter-vogt.de
- Add 0001-save-the-containment-only-aftyer-switch.patch:
  * Without this it would always change back to the folderview
    after login (boo#1003399)
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Mon Oct  3 2016 fabian@ritter-vogt.de
- Update 0001-Ignore-default-sddm-face-icons.patch to not break
  all .face.icon (boo#1001364)
* Sun Oct  2 2016 fabian@ritter-vogt.de
- Add add-tray-icon-cache.patch (kde#356479):
  * High load due to animated tray icons
* Sat Oct  1 2016 fabian@ritter-vogt.de
- Add 0001-Ignore-default-sddm-face-icons.patch (boo#1001364):
  * The default SDDM face icons are too dark to be used with
    the default backgrounds
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Remove patches (now upstream):
  * 0001-wait-before-creating-the-panel.patch
  * fix-breeze-sddm-theme-with-many-users-2.patch
  * fix-wallpaper-not-having-correct-aspect-ratio.diff
* Tue Sep 27 2016 alarrosa@suse.com
- Add fix-breeze-sddm-theme-with-many-users-2.patch: Makes the
  breeze theme in sddm show username/password directly instead of
  a user list when there's more than N users in the system where
  N is defined in sddm.conf, under the Theme section, in the
  UsersThresholdToDisableAvatars variable.
* Sat Sep 24 2016 fabian@ritter-vogt.de
- Add 0001-wait-before-creating-the-panel.patch to work around race
  condition for panel transparency (boo#1000109)
* Thu Sep 22 2016 fabian@ritter-vogt.de
- Add change-kioremote-severity.patch to avoid filling the home folder
  with useless log messages (boo#997173)
* Thu Sep 22 2016 alarrosa@suse.com
- Added fix-wallpaper-not-having-correct-aspect-ratio.diff . The previous
  algorithm to choose a wallpaper preferred the ones with the closest area
  giving preference to downscaling over upscaling. This patch changes that
  to use that algorithm first only in wallpapers with the same aspect ratio
  as the screen and then using the old algorithm as fallback if no wallpaper
  has the same aspect ratio (boo#990257)
* Wed Sep 21 2016 fabian@ritter-vogt.de
- Use %%{_plasma5_version} like other packages
- Remove patch plasmashell-disable-windowclosing-on-logout.patch
  * now upstream
- Fix self-obsoletion
* Mon Sep 19 2016 wbauer@tmo.at
- Move german docs to lang subpackage again
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Removed patches:
    Configuration-option-for-System-Tray-icon-size.patch
    Use-iconName-instead-of-icon-in-all-runners.patch
    add-separate-autostart-file-for-klipper.patch
    fix-breeze-sddm-theme-with-many-users.patch
    require-qt56.diff
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
- Refresh plasma5-workspace.spec
* Tue Aug 23 2016 wbauer@tmo.at
- Add Use-iconName-instead-of-icon-in-all-runners.patch to fix
  problems in KRunner caused by QIcon not being thread-safe
  (boo#994983, kde#355122, kde#356957)
* Tue Aug 16 2016 wbauer@tmo.at
- Use xterm to install the debug packages in drkonqi, konsole
  doesn't handle the -e parameter correctly currently
  (boo#990353, kde#366793)
* Fri Aug 12 2016 hrvoje.senjan@gmail.com
- Adjust filelist for the plasmoid appdata, installed with KF > 5.25.0
* Thu Aug 11 2016 wbauer@tmo.at
- Add add-separate-autostart-file-for-klipper.patch to prevent
  klipper from autostarting in e.g. GNOME (boo#993334)
* Wed Aug  3 2016 fabian@ritter-vogt.de
- Remove 0001-Workaround-kde-362531.patch as fixed in kwindowsystem
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
- Drop upstreamed patches:
  0002-don-t-try-to-load-layout-before-kamd-starts.patch
  0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
  0007-apparently-containment-can-be-null.patch
  0010-Properly-registering-existing-activities-before-load.patch
  0001-check-harder-to-include-only-desktops-in-desktops.patch
* Mon Aug  1 2016 alarrosa@suse.com
- Added fix-breeze-sddm-theme-with-many-users.patch again.
  This is still needed since upstream dropped the planned changes
  on the login breeze theme from the 5.7 release.
* Sat Jul 30 2016 fabian@ritter-vogt.de
- Add 0001-Workaround-kde-362531.patch as a workaround for
    kde#362531
* Fri Jul 29 2016 fabian@ritter-vogt.de
- Remove 0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
  Not only unnecessary, but also reverted by later patch.
* Thu Jul 28 2016 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0002-don-t-try-to-load-layout-before-kamd-starts.patch
  0005-Missing-method-for-activity-deletion-from-plasma-scr.patch
  0006-Treat-IsDemandingAttention-as-IsOnAllVirtualDesktops.patch
  0007-apparently-containment-can-be-null.patch
  0010-Properly-registering-existing-activities-before-load.patch
  0001-check-harder-to-include-only-desktops-in-desktops.patch
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Sat Jul 16 2016 hrvoje.senjan@gmail.com
- Added Configuration-option-for-System-Tray-icon-size.patch from
  upstream
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Tue Jul  5 2016 wbauer@tmo.at
- Use the new %%kf5_find_lang macro to create the file list for the
  lang package
- Remove rpmlintrc file, it is not needed any more now
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
- Drop create_kdehome.patch and fix-breeze-sddm-theme-with-many-users.patch
- Add require-qt56.diff: we know our Qt package has the right patch,
  so we don't need to depend on 5.6.1
* Mon Jun 13 2016 fvogt@suse.com
- Add missing Requires: in branding subpackage (boo#968427)
* Mon May 16 2016 jengelh@inai.de
- Run fdupes to compact duplicate files
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
- Drop upstreamed patches:
  digitalclock-fix-show-seconds.patch and kuiserver5_qApp.patch
* Tue Apr 19 2016 wbauer@tmo.at
- Add digitalclock-fix-show-seconds.patch: Fixes displaying seconds
  in the digital clock which was broken with certain locales
  ("C" e.g.)
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Wed Apr  6 2016 alarrosa@suse.com
- Don't apply plasmashell-disable-windowclosing-on-logout.patch
  in SLE12 since Qt 5.5.1 in SLE12 is not patched to support the new
  session management API from 5.6.0 .
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
- Drop upstreamed xembedsniproxy-avoid-ghost-entry.patch
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
* Wed Mar  2 2016 wbauer@tmo.at
- Added xembedsniproxy-avoid-ghost-entry.patch from upstream:
  prevents an empty icon being shown when e.g. fcitx is running
  (boo#954623, kde#358719)
* Tue Mar  1 2016 hrvoje.senjan@gmail.com
- Update to 5.5.5 (boo#968966)
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.5.php
- Drop upstreamed fix-session-switch.patch and
  reset-the-model-on-list-always-shown-hide-change.patch
* Fri Feb 26 2016 hrvoje.senjan@gmail.com
- Update plasmashell-disable-windowclosing-on-logout.patch to
  upstream version (but apply it for Qt >= 5.5.1)
* Thu Feb 25 2016 hrvoje.senjan@gmail.com
- Added fix-session-switch.patch (kde#356945, boo#967538)
* Fri Feb 19 2016 wbauer@tmo.at
- Added plasmashell-disable-windowclosing-on-logout.patch: prevent
  plasma from closing too early on logout resulting in an unusable
  desktop if the logout is cancelled (boo#955280, kde#349805)
* Tue Feb 16 2016 hrvoje.senjan@gmail.com
- Added kuiserver5_qApp.patch (boo#965922)
* Thu Feb  4 2016 hrvoje.senjan@gmail.com
- Added reset-the-model-on-list-always-shown-hide-change.patch
  (kde#357627, kde#352055)
* Tue Jan 26 2016 hrvoje.senjan@gmail.com
- Update to 5.5.4:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.4.php
- Drop xembedsniproxy-check-for-null-geometry.patch, upstreamed
* Wed Jan 20 2016 wbauer@tmo.at
- Add xembedsniproxy-check-for-null-geometry.patch: fixes an
  xembedsniproxy crash (boo#954623, kde#355463, kde#358227)
* Wed Jan  6 2016 hrvoje.senjan@gmail.com
- Update to 5.5.3:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.3.php
* Tue Dec 22 2015 hrvoje.senjan@gmail.com
- Update to 5.5.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.2.php
* Tue Dec 15 2015 hrvoje.senjan@gmail.com
- Update to 5.5.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.5.1.php
- Drop upstreamed patches:
  0001-notifications-Check-if-the-popup-is-visible-before-u.patch
  0002-notifications-Move-reading-globalConfig-from-ctor-to.patch
  0003-Make-comment-section-of-the-timezones-configuration-.patch
  0004-notifications-Fix-default-notification-position-sett.patch
  0001-Forward-mouse-enter-and-leave-events-on-feathered-ed.patch
  kde355684.patch
  use-old-connect-syntax.patch
* Sat Dec 12 2015 hrvoje.senjan@gmail.com
- Update to 5.5.0:
  * For more details please see:
    https://dot.kde.org/2015/12/08/plasma-55-beautiful-new-artwork
- Move to cmake(...) BuildRequires where possible
- Drop no longer needed fix-wayland-requirement.patch and rb125743.patch
- Added patches from upstream:
  0001-notifications-Check-if-the-popup-is-visible-before-u.patch
  0002-notifications-Move-reading-globalConfig-from-ctor-to.patch
  0003-Make-comment-section-of-the-timezones-configuration-.patch
  0004-notifications-Fix-default-notification-position-sett.patch
  0001-Forward-mouse-enter-and-leave-events-on-feathered-ed.patch
  kde355684.patch
  use-old-connect-syntax.patch
* Fri Dec  4 2015 alarrosa@suse.com
- Rebased fix-breeze-sddm-theme-with-many-users.patch in preparation
  for 5.5.0
* Wed Nov 25 2015 opensuse@cboltz.de
- add dependency on xprop (called by /usr/bin/startkde)
* Fri Nov 20 2015 alarrosa@suse.com
- Renamed userlist model property from UsersThresholdToDisableAvatars
  to disableAvatarsThreshold as in the patch finally accepted
  by sddm developers.
* Wed Nov 11 2015 alarrosa@suse.com
- Adds patch fix-breeze-sddm-theme-with-many-users.patch: Makes the
  breeze theme in sddm show username/password editlines instead of
  a user list when there's more than N users in the system where
  N is defined in sddm.conf, under the Theme section, in the
  UsersThresholdToDisableAvatars variable.
  This patch together with patches in sddm fix bnc#953778
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.4.3 (boo#955068):
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.3.php
* Fri Oct 23 2015 hrvoje.senjan@gmail.com
- Make sure users have pam_unix module in place so the screenlocker
  works when upgrading from openSUSE < 12.3 (boo#931296)
* Wed Oct 21 2015 hrvoje.senjan@gmail.com
- Try to fix wrong image scaling in kspash (boo#950799): rb125743.patch
* Sun Oct 18 2015 hrvoje.senjan@gmail.com
- Move sddm theme to upstream branding subpackage, so we can have
  branded sddm theme (boo#950796)
* Fri Oct 16 2015 hrvoje.senjan@gmail.com
- Let XEmbed icons appear in plasma, i.e. require xembed-sni-proxy
  package (boo#913339)
* Mon Oct  5 2015 alarrosa@suse.com
- Add fix-wayland-requirement.patch that reduces the requirement
  of wayland 1.3 in CMakeLists.txt to 1.2 for SLE12 since the 1.2
  version in SLE12 is patched to include the needed features from 1.3
* Sun Oct  4 2015 hrvoje.senjan@gmail.com
- Update to 5.4.2:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.2.php
- Drop fix-logout-button-sizing.patch, upstreamed
* Wed Sep 16 2015 lbeltrame@kde.org
- Add fix-logout-button-sizing.patch: Upstream fix to ensure that
  logout/shutdown and cancel buttons on the logout screen have
  all the same size.
* Thu Sep 10 2015 hrvoje.senjan@gmail.com
- Update to 5.4.1:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.1.php
* Tue Sep  8 2015 wbauer@tmo.at
- Add an explicit conflict with kio-extras5 < 15.08.0. Some files
  from kio-extras5 have been moved to plasma5-workspace in 5.4,
  this should prevent a possible file conflict. (boo#944656)
* Mon Aug 24 2015 hrvoje.senjan@gmail.com
- Update to 5.4.0:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.4.0.php
* Sun Aug 16 2015 hrvoje.senjan@gmail.com
- Update to 5.3.95 aka 5.4 beta:
  This release of Plasma brings many nice touches for our users
  such as much improved high DPI support, KRunner auto-completion
  and many new beautiful Breeze icons. It also lays the ground for
  the future with a tech preview of Wayland session available.
  We're shipping a few new components such as an Audio Volume
  Plasma Widget, monitor calibration tool and the User Manager
  tool comes out beta.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.95.php
- Drop 0003-Remove-export-of-QT_PLUGIN_PATH.patch, upstreamed
* Wed Aug  5 2015 hrvoje.senjan@gmail.com
- Added patches from upstream to resolve baloo SiC in 5.13.0:
  use-the-filepath-as-the-unique-id-of-the-match.patch and
  Baloo-Result-header-is-no-longer-installed.patch
* Sun Jun 28 2015 hrvoje.senjan@gmail.com
- Update to 5.3.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.2.php
- Drop patches merged upstream:
  0001-Bugzilla-Integration-Look-for-the-mappings-file-in-t.patch
  0002-Reuse-the-existing-Notify-method-for-Notification-s-.patch
  0003-notifications-Make-sure-the-Open.-button-on-finished.patch
  0004-notifications-Optimize-sending-the-notification-data.patch
  0005-Fix-launcher-sorting-the-by-activity-sorting-strateg.patch
  0001-Unbreak-Undo-notifications-on-Plasmoid-removal.patch
* Wed Jun 10 2015 hrvoje.senjan@gmail.com
- Use %%version instead of no longer existing %%{_plasma5_branding_version}
  for branding provides/requires
* Thu May 28 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Bugzilla-Integration-Look-for-the-mappings-file-in-t.patch
  0002-Reuse-the-existing-Notify-method-for-Notification-s-.patch
  (kde#342605)
  0003-notifications-Make-sure-the-Open.-button-on-finished.patch
  0004-notifications-Optimize-sending-the-notification-data.patch
  0005-Fix-launcher-sorting-the-by-activity-sorting-strateg.patch
  (kde#348324)
  0001-Unbreak-Undo-notifications-on-Plasmoid-removal.patch
  (kde#345149)
* Fri May 22 2015 hrvoje.senjan@gmail.com
- Update to 5.3.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.1.php
- Drop patches merged upstream:
  0001-Disable-indeterminate-animation-for-suspended-jobs.patch
  0003-notifications-Replace-apos-with-as-apos-is-not-suppo.patch
  0004-Match-window-switch-dialog-borders-with-addwidgets-s.patch
  0005-Manually-keep-track-of-jobs-sources.patch
  0006-Fix-running-applet-calculation.patch
  0008-Only-restart-Timer-when-the-dialog-is-visible.patch
  0009-check-for-model-existence.patch
  0010-Fix-a-crash-in-PowermanagementEngine-populateApplica.patch
  0011-notifications-Always-check-first-if-the-dispatch-tim.patch
  0012-notifications-Clear-notification-from-show-queue-if-.patch
* Sun May 17 2015 hrvoje.senjan@gmail.com
- Require kscreen5, kactivities5 and kio-extras5 instead of just
  recommending, they are essential enough that all users have
  it installed
* Sat May  2 2015 hrvoje.senjan@gmail.com
- Added patches from upstream:
  0001-Disable-indeterminate-animation-for-suspended-jobs.patch,
  0003-notifications-Replace-apos-with-as-apos-is-not-suppo.patch
  (kde#346710),
  0004-Match-window-switch-dialog-borders-with-addwidgets-s.patch
  (kde#345614),
  0005-Manually-keep-track-of-jobs-sources.patch (kde#346673),
  0006-Fix-running-applet-calculation.patch,
  0008-Only-restart-Timer-when-the-dialog-is-visible.patch,
  0009-check-for-model-existence.patch (kde#346870),
  0010-Fix-a-crash-in-PowermanagementEngine-populateApplica.patch,
  0011-notifications-Always-check-first-if-the-dispatch-tim.patch
  and 0012-notifications-Clear-notification-from-show-queue-if-.patch
  (kde#342605)
* Thu Apr 23 2015 hrvoje.senjan@gmail.com
- Update to 5.3 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.3.0.php
- Drop 0001-delete-the-views-before-containments.patch, merged upstream
- Only conflict with kdebase4-workspace < 5.3.0
* Sat Apr 11 2015 hrvoje.senjan@gmail.com
- Update to 5.2.95 aka 5.3 beta:
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.95.php
- Update required Qt version to 5.4.0
- Update required KF5 version to 5.8.0
- Added kxmlrpcclient5-devel, libKF5NetworkManagerQt-devel and
  pkgconfig(xi) BuildRequires
- Added 0001-delete-the-views-before-containments.patch from upstream,
  (kde#345758)
- Drop patches merged upstream:
  0001-Fix-one-pixel-gap-between-screenedge-and-right-place.patch
  and 0001-Workaround-the-lockscreen-password-field-focus-issue.patch
* Fri Mar 27 2015 hrvoje.senjan@gmail.com
- Added 0001-Fix-one-pixel-gap-between-screenedge-and-right-place.patch
  (kde#339323, kde#340549, boo#924074)
* Wed Mar 25 2015 hrvoje.senjan@gmail.com
- Add 0001-Workaround-the-lockscreen-password-field-focus-issue.patch
  (kde#344823)
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Update to 5.2.2:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.2.php
- Drop patches merged upstream:
  0001-digital-clock-Invert-the-JS-timezone-offset-values.patch,
  0002-Set-aboutData-for-plasmashell.patch,
  0005-lookandfeel-Make-sure-the-OSD-is-not-bigger-than-1-3.patch,
  0006-Add-missing-import.patch,
  0007-Don-t-set-mode-here-otherwise-default-will-not-work.patch,
  0009-libtaskmanager-Use-the-icon-loaded-from-config-file-.patch,
  0010-Take-Shown-and-Hidden-status-in-account-when-showing.patch,
  0011-Fix-displaying-label1-in-job-notifications.patch and
  0012-Show-pause-stop-buttons-in-jobs-notification-only-fo.patch
* Thu Mar 19 2015 hrvoje.senjan@gmail.com
- Add pkgconfig(libqalculate) BuildRequires
* Fri Mar 13 2015 hrvoje.senjan@gmail.com
- Add patches from upstream:
  0001-digital-clock-Invert-the-JS-timezone-offset-values.patch,
  0002-Set-aboutData-for-plasmashell.patch,
  0005-lookandfeel-Make-sure-the-OSD-is-not-bigger-than-1-3.patch,
  0006-Add-missing-import.patch,
  0007-Don-t-set-mode-here-otherwise-default-will-not-work.patch
  (kde#344701),
  0009-libtaskmanager-Use-the-icon-loaded-from-config-file-.patch,
  0010-Take-Shown-and-Hidden-status-in-account-when-showing.patch
  (kde#344795),
  0011-Fix-displaying-label1-in-job-notifications.patch and
  0012-Show-pause-stop-buttons-in-jobs-notification-only-fo.patch
* Fri Feb 20 2015 hrvoje.senjan@gmail.com
- Update to 5.2.1:
  * Bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.1.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Added kglobalaccel-devel BuildRequires
- kglobalaccel5 daemon moved to kglobalaccel Framework
* Mon Jan 26 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Final:
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.2.0.php
* Tue Jan 13 2015 hrvoje.senjan@gmail.com
- Update to 5.2 Beta aka 5.1.95:
  * Undo changes to Plasma desktop layout
  * Smarter sorting of results in KRunner
  * Breeze window decoration theme adds a new look to your
    desktop and is now used by default
  * New white mouse cursor theme for Breeze.
  * New plasma widgets: 15 puzzle, web browser, show desktop
  * Over 300 bugs fixed throughout Plasma modules.
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.95.php
  * Use the correct path for ksyncdbusenv, boo#912565
- Harden external libs requires for the libs subpackage
- Use exact version for plasma5-workspace-libs Requires
- Bump KF5 Requires to 5.6.0
- Bump (Build)Requires of other Plasma 5 components to same version
- Add wayland-devel BuildRequires
- Drop no longer relevant obsoletes
- Require oxygen5-sounds, boo#912317
- Drop 0001-LocationRunner-Convert-case-insensitive-path-to-a-pr.patch
  and 0002-Baloo-Runner-Lower-relevance-because-krunner-does-no.patch,
  merged upstream
* Thu Dec 11 2014 hrvoje.senjan@gmail.com
- Update to 5.1.2:
  * Bugfix release
  * Make the OSD timeout shorter
  * Fix ui files
  * Fix lockscreen theme fallback
  * Add the next wallpaper action when necessary, kde#341089
  * Revert i18n changes cherry-picked from master
  * Only play indeterminate animation when plasmoid is expanded
  * Refactor JobDelegate
  * Don't leave a gap when label1 is not visible
  * Don't emit a Job finished notification if the message
    would be empty
  * Finish cleanup and remove unused config.ui remnant
  * When no percentage is exposed over the dataengine make the
    progress bar indeterminate
  * Cleanup Jobs code and remove dead code
  * Alleviate the annoyance of Job Finished notifications, kde#340068
  * Escape ampersands in notifications
  * Replace \n with
  * Fix dialog minimum height (always add the margins afterwards),
    kde#341218
  * Also take the title label into account when calculating
    the dialog size
  * Enforce StyledText in notifications
  * Hide popup when opening configure dialog
  * Fix notification configure button
  * Fix binding loops and make popup even more compact
  * Cleanup Loaders
  * Cleanup Notifications code
  * Move duplicated code from NotificationDelegate and
    NotificationPopup into a new NotificationItem
  * Make sure lock screen package name does not overlap
    highlight rectangle
  * Actually save the kscreensaver config
  * fix resetting and reverting to default values
  * Fix qml warnings in splash kcm
  * Separator for Keywords is ;
  * Hopefully fix shell resizing in VirtualBox
  * Take into account the primary screen can be redundant
  * Delayed primaryOutput processing needs to be delayed
  * Also set minHeight in vertical panels. kde#340896
  * Fix and future-proof security in Dr Konqi. kde#337742
  * Fix hiding the SNI when avail space goes up again
  * Make the SNI just Active when free space raised
  * Find messages in QML as well
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.2.php
- Drop 0001-BUG-337742-REVIEW-120431.-Fix-and-future-proof-secur.patch,
  merged upstream
* Wed Nov 12 2014 hrvoje.senjan@gmail.com
- Added 0001-BUG-337742-REVIEW-120431.-Fix-and-future-proof-secur.patch
  from upstream (kde#337742)
* Thu Nov  6 2014 hrvoje.senjan@gmail.com
- Update to 5.1.1:
  * Bugfix release
  * Panel jumps around less when resizing/controlling
    (kde#339207, kde#337382)
  * Redeclare missing properties from Containment, kde#337743
  * Make apply button work correctly, kde#339946
  * Remove bypasswindowmanagerhint, kde#339848
  * Signal availableScreenRectChanged on type change, kde#339412
  * Create the corona on heap, kde#340191
  * Remove shutdown option from screen locker, kde#339453
  * Remove uneeded code to stop alt+f4 killing the window,
    kde#338360
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.1.php
* Wed Oct 22 2014 hrvoje.senjan@gmail.com
- Added
  0001-LocationRunner-Convert-case-insensitive-path-to-a-pr.patch (kde#333395)
  and 0002-Baloo-Runner-Lower-relevance-because-krunner-does-no.patch,
  make sure that applications are shown as top results in krunner
- Recommend lang subpackage
- Relax dependancies to plasma-framework private parts, and fix
  a blip moment, typo in package name
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Update to 5.1 Final:
  * Bugfixes since RC1
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.1.0.php
- Drop 0002-Fix-NotificationPopup-size.patch,
  0001-take-the-proper-default-at-first-start.patch and
  0004-Show-application-title-if-Status-Notifier-Item-does-.patch,
  merged upstream
- Hardcode versions of plasma-framework-componets and
  plasma-framework-private packages, as upstream doesn't
  keep backwards compability there
* Fri Sep 26 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95:
  * No changes since previous snapshot
- Install translations
- Add rpmlintrc file for file-not-in-%%lang warnings: we don't use
  find_lang macro as it doesn't searches in subdirectories
- Swap wallpaper.diff for 0001-take-the-proper-default-at-first-start.patch
  it is a simpler solution (kde#339216, kde#339414)
- Add 0002-Fix-NotificationPopup-size.patch: fixes notifications
  with latest plasma-framework
- Add 0004-Show-application-title-if-Status-Notifier-Item-does-.patch:
  show the application name and icon if none is given. kde#337710
* Tue Sep 23 2014 hrvoje.senjan@gmail.com
- Create upstream-branding subpackage, empty for now
- Update to 5.0.95~git20140925 (rdfc15d5):
  * Improvements to notifications applet
  * Honor settings of look-and-feel package (needed for openSUSE
    branding)
  * Add timezone support to digital clock
- Add wallpaper.diff to resolve kde#339216
* Thu Sep 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.95~git20140911 (r93ed2cb):
  * Allow to swap plasmoids via alternatives system
  * Introduction of 'Look and Feel' packages: allows users to change
    outlook of entire desktop in a single place
  * Various other bugfixes, improvements and cleanups
- Split shared libraries into libs subpackage
- Added 0003-Remove-export-of-QT_PLUGIN_PATH.patch: we install
  plugins to directory known to Qt5, so export just pollutes
  both Qt4 and Qt5 plugins
- Recommend sni-qt
- Add baselibs.conf
- Don't install libKF5XmlRpcClientPrivate, as it's a private lib
* Fri Aug 22 2014 hrvoje.senjan@gmail.com
- Split out kglobalaccel to a kglobalaccel5 package (so default
  shortcuts work outside Plasma session)
- Require libkscreen2-plugin
- Added create_kdehome.patch and pass -DKDE_DEFAULT_HOME=.kde4 so
  kde4breeze kconf script can apply kde4 settings succesfully,
  kde#338422
* Fri Aug  8 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1
  * Bugfix release, translation and accessibility fixes
  * Translation updates
* Tue Aug  5 2014 hrvoje.senjan@gmail.com
- Add frameworkintegration-plugin Requires
- Split out drkonqi to a separate drkonqi5 package (useful for those
  that want to get backtrace w/o Workspace installed)
* Thu Jul 24 2014 hrvoje.senjan@gmail.com
- Update to 5.0.1~20140724-3ba9875 snapshot
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Plasma 5.0 Final
- Rename package to plasma5-workspace
* Sun Jul  6 2014 cgiboudeaux@gmx.com
- Add 0001-Rename-qdbus-in-startkde.patch
  The qdbus executable is called qdbus-qt5 in the libqt5-qttools package.
  This patch ensures we don't try to use the Qt4 executable.
* Thu Jul  3 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * Plasma 5 RC release
- Drop e79b769.patch and rename_1.diff, merged upstream
* Thu Jun  5 2014 hrvoje.senjan@gmail.com
- Activate plasma-workspace5 package
